Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.core.util
Interface IClassFileDisassembler

Deprecated. - should use ClassFileBytesDisassembler instead

public interface IClassFileDisassembler

This interface is intended to be implemented to disassemble IClassFileReader onto a String using the proper line separator.

Since:
  2.0

Field Summary
`static int` | `DEFAULT` Deprecated. The mode is the default mode to disassemble IClassFileReader.
`static int` | `DETAILED` Deprecated. The mode is the detailed mode to disassemble IClassFileReader.

Method Summary
`String` | `disassemble(IClassFileReader classFileReader, String lineSeparator)` Deprecated. Answers back the disassembled string of the IClassFileReader using the default mode.
`String` | `disassemble(IClassFileReader classFileReader, String lineSeparator, int mode)` Deprecated. Answers back the disassembled string of the IClassFileReader according to the mode.

Field Detail

### DETAILED

    public static final int DETAILED

  Deprecated.
  The mode is the detailed mode to disassemble IClassFileReader. It returns the magic numbers, the version numbers and field and method descriptors.

  See Also:
    Constant Field Values

### DEFAULT

    public static final int DEFAULT

  Deprecated.
  The mode is the default mode to disassemble IClassFileReader.

  See Also:
    Constant Field Values

Method Detail

### disassemble

    public String disassemble(IClassFileReader classFileReader,
                              String lineSeparator)

  Deprecated.
  Answers back the disassembled string of the IClassFileReader using the default mode. This is an output quite similar to the javap tool, using DEFAULT mode.

  Parameters:
    `classFileReader` - The classFileReader to be disassembled
    `lineSeparator` - the line separator to use.
  Returns:
    the disassembled string of the IClassFileReader using the default mode.

### disassemble

    public String disassemble(IClassFileReader classFileReader,
                              String lineSeparator,
                              int mode)

  Deprecated.
  Answers back the disassembled string of the IClassFileReader according to the mode. This is an output quite similar to the javap tool.

  Parameters:
    `classFileReader` - The classFileReader to be disassembled
    `lineSeparator` - the line separator to use.
    `mode` - the mode used to disassemble the IClassFileReader
  Returns:
    the disassembled string of the IClassFileReader according to the mode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.